org.apache.xmlbeans.impl.schema

## Class SchemaTypeCodePrinter

- java.lang.Object
- - org.apache.xmlbeans.impl.schema.SchemaTypeCodePrinter

- All Implemented Interfaces:
    SchemaCodePrinter

      public final class SchemaTypeCodePrinter
      extends Object
      implements SchemaCodePrinter

  Prints the java code for a single schema type

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `INDEX_CLASSNAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SchemaTypeCodePrinter()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static String` | `indexClassForSystem(SchemaTypeSystem system)`
    `static String` | `javaStringEscape(String str)`
    `void` | `printType(Writer writer, SchemaType sType)`
    `static void` | `printType(Writer writer, SchemaType sType, XmlOptions opt)`
    `void` | `printTypeImpl(Writer writer, SchemaType sType)`
    `static void` | `printTypeImpl(Writer writer, SchemaType sType, XmlOptions opt)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INDEX_CLASSNAME

          public static final String INDEX_CLASSNAME

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### SchemaTypeCodePrinter

          public SchemaTypeCodePrinter()

  - ### Method Detail

    - #### printTypeImpl

          public static void printTypeImpl(Writer writer,
                                           SchemaType sType,
                                           XmlOptions opt)
                                    throws IOException

      Throws:
        `IOException`

    - #### printType

          public static void printType(Writer writer,
                                       SchemaType sType,
                                       XmlOptions opt)
                                throws IOException

      Throws:
        `IOException`

    - #### printType

          public void printType(Writer writer,
                                SchemaType sType)
                         throws IOException

      Specified by:
        `printType` in interface `SchemaCodePrinter`
      Throws:
        `IOException`

    - #### printTypeImpl

          public void printTypeImpl(Writer writer,
                                    SchemaType sType)
                             throws IOException

      Specified by:
        `printTypeImpl` in interface `SchemaCodePrinter`
      Throws:
        `IOException`

    - #### indexClassForSystem

          public static String indexClassForSystem(SchemaTypeSystem system)

    - #### javaStringEscape

          public static String javaStringEscape(String str)